Bug 1469503 - [DR] [RFE] Add policy for SPM election to auto select host with higher priority once it becomes operational
[DR] [RFE] Add policy for SPM election to auto select host with higher priori...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
future
x86_64 Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Rob Young
Gil Klein
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 08:04 EDT by Elad
Modified: 2017-09-12 11:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Elad 2017-07-11 08:04:44 EDT
Mainly for active-active disaster recovery purposes, there should be an SPM election policy that automatically chooses a host with higher SPM priority when it comes back up. 
This is needed for active-active DR scenarios since there can be situations when a host, that is located in the backup remote site and usually has higher latency and low bandwidth to the main site's storages, is elected as the SPM (for example, when the main site's hosts are in maintenance for upgrade). 

Of course, this auto SPM select should be done with time-frequency limitations to prevent SPM election storms.
Comment 1 Allon Mureinik 2017-07-12 04:04:52 EDT
Frankly, I don't think this is the right way to go. You can have all sorts of bad situations where a host comes up on one side of the cluster but the storage hasn't flipped over, etc.

IMHO, the way to go about this is to have something external (possibly even the admin himself/herself manually try to force the SPM back to the "right" side once he/she is convinced it's operational again.

Note You need to log in before you can comment on or make changes to this bug.